Archust Docs
Instances

Create instance

POST
/v1/job-instances

Authorization

bearerAuth
AuthorizationBearer <token>

Clerk session JWT. Also send x-clerk-org-id if org context needed.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/job-instances" \  -H "Content-Type: application/json" \  -d '{    "jobId": "9d222c6d-893e-4e79-8201-3c9ca16a0f39",    "scheduledDate": "2019-08-24T14:15:22Z"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",  "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",  "scheduled_date": "2019-08-24T14:15:22Z",  "status": "pending",  "day_mode": "generate",  "keywords": [    "string"  ],  "content_instructions": "string",  "images": [    "string"  ],  "document_ids": [    "80c9269b-2f78-48c9-a59b-d8e91723e86e"  ],  "selected_draft_id": "0ce4d33e-e3c5-4891-b710-709618f2c3e8"}